Skip to main content

Check open channel freeze status

Check whether a specific open channel is currently frozen.

Request

POST: https://[Base URL](/platform-chat-api/base-url)/v4/open-channel/freeze/check

Rate limit: 100 per second

Signature: Required. See API request signature.

Request body

Content type: application/json

ParameterTypeRequiredDescription
channelIdStringYesThe open channel ID to check.

Request example

HTTP
POST /v4/open-channel/freeze/check HTTP/1.1
Host: api.sg-light-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1592295337000
Signature: ef03d19bb860b4e90ce7bd5f50652a744bc2ce92
Content-Type: application/json

{
"channelId": "123"
}

Response

FieldTypeDescription
codeNumberReturn code. 0 indicates success.
resultObjectResult data.
result.statusNumberFreeze status. 1: frozen. 0: not frozen.

Response example

HTTP
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 0,
"result": {
"status": 0
}
}